%LET DATAIN="XXX";

proc format;

/* REFYEAR format applies to: REFYEAR  */
VALUE REFYEAR
                2005 = "2005";
/* PROVINCE format applies to: PROVINCE  */
VALUE PROVINCE
                10 = "Newfoundland and Labrador"
                11 = "Prince Edward Island"
                12 = "Nova Scotia"
                13 = "New Brunswick"
                24 = "Quebec"
                35 = "Ontario"
                46 = "Manitoba"
                47 = "Saskatchewan"
                48 = "Alberta"
                59 = "British Columbia";
/* REGION format applies to: REGION  */
VALUE REGION
                1 = "Atlantic Region"
                2 = "Quebec"
                3 = "Ontario"
                4 = "Manitoba/Saskatchewan"
                5 = "Alberta"
                6 = "British Columbia";
/* URBRUR format applies to: 
G_URBRUR  */
VALUE URBRUR
                1 = "Montreal"
                2 = "Toronto"
                3 = "Vancouver"
                4 = "Other Urban"
                5 = "Rural excluding Prince Edward Island"
                6 = "Prince Edward Island";
/* GCAEGR6F format applies to: GCAGEGR6  */
VALUE GCAEGR6F
                1 = "18 to 24"
                2 = "25 to 34"
                3 = "35 to 44"
                4 = "45 to 54"
                5 = "55 to 64"
                6 = "65 years of age or older";
/* CSEX format applies to: CSEX  */
VALUE CSEX
                1 = "Male"
                2 = "Female";
/* GMARSTAT format applies to: GMARSTAT  */
VALUE GMARSTAT
                1 = "Married/living common law"
                2 = "Separated/divorced/widow or widower"
                3 = "Single, never married";
/* G_CEDUC format applies to: G_CEDUC  */
VALUE G_CEDUC
                1 = "Secondary school or less"
                2 = "Community college, some post-secondary or University certifi"
                3 = "University Diploma";
/* sYesNo format applies to: 
G_CSTUD  HCONNECT  G_HSTUD  */
VALUE sYesNo
                1 = "Yes"
                2 = "No";
/* G_CLFSST format applies to: G_CLFSST  */
VALUE G_CLFSST
                1 = "Employed, at work/absent from work"
                2 = "Unemployed, absent from work/temporary layoff/job searcher"
                3 = "Not in the labour force, able to work/permanently unable to";
/* GCOWMAIN format applies to: GCOWMAIN  */
VALUE GCOWMAIN
                1 = "Class of worker main job - employee"
                2 = "Class of worker main job - self employed/family business no"
                6 = "Valid skip";
/* FTPTMAIN format applies to: FTPTMAIN  */
VALUE FTPTMAIN
                1 = "Full-time"
                2 = "Part-time"
                6 = "Valid skip";
/* GFAMTYPE format applies to: GFAMTYPE  */
VALUE GFAMTYPE
                1 = "Single family household with unmarried children under 18"
                2 = "Single family household without unmarried children under 18"
                3 = "One person households"
                4 = "Multi family households";
/* G_HHSIZE format applies to: G_HHSIZE  */
VALUE G_HHSIZE
                1 = "1 person"
                2 = "2 persons"
                3 = "3 persons"
                4 = "4 or more persons";
/* G_HEDUC format applies to: G_HEDUC  */
VALUE G_HEDUC
                1 = "Secondary school or less"
                2 = "Community college, some post-secondary or University certifi"
                3 = "University Diploma";
/* EV_Q01F format applies to: EV_Q01  */
VALUE EV_Q01F
                1 = "Yes"
                2 = "No"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* EV_Q02F format applies to: EV_Q02  */
VALUE EV_Q02F
                1 = "Less than 1 year"
                2 = "1 to 2 years (1 year or more but less than 2 years)"
                3 = "2 to 5 years (2 years or more but less than 5 years)"
                4 = "5 or more years"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* PU_Q01F format applies to: PU_Q01  */
VALUE PU_Q01F
                1 = "Yes"
                2 = "No"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* PU_Q02F format applies to: PU_Q02  */
VALUE PU_Q02F
                1 = "1 to 2 years (more than 1 year but less than 2 years)"
                2 = "2 to 5 years (2 years or more but less than 5 years)"
                3 = "5 or more years"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* PUIU3F format applies to: 
PU_Q03  IU_Q03  */
VALUE PUIU3F
                1 = "At least once a day"
                2 = "At least once a week (but not every day)"
                3 = "At least once a month (but not every week)"
                4 = "Less than once a month"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* tYesNo format applies to: 
PU_Q06A  PU_Q06E  PU_Q06J  PU_Q06K  LU_Q04  LU_G05  LU_G06A  LU_G06B
IU_Q01A  IU_Q01B  IU_Q01G  IU_Q02A  IU_Q02B  IU_Q02E  IU_Q06  SU_Q01
SU_Q02  SU_Q03  SU_Q04  SU_Q05  SU_G06  SU_Q07  SU_Q08  SU_Q09
SU_Q10  SU_Q11  SU_Q12  SU_Q13  SU_Q14  SU_Q15  SU_Q16  SU_Q17
SU_Q18  SU_Q19  SU_Q20  SU_Q22  GL_Q01A  GL_Q01B  GL_Q01C  GL_Q01D
GL_Q01E  GL_Q01F  GL_Q01G  GL_Q01I  GL_Q01J  GL_Q03  GL_Q04A  GL_Q04B
GL_Q04C  MH_Q01A  MH_Q01B  MH_Q01C  MH_Q01D  MH_Q01E  MH_Q01F  MH_Q01G
MH_Q01H  MH_Q03  EU_G01A  EU_G01B  EU_G01C  EU_G01D  EC_Q02A  EC_Q02B
EC_Q02C  EC_Q02D  EC_Q02E  EC_Q02F  EC_Q02I  EC_Q02J  EC_Q02K  EC_Q02L
EC_Q02M  EC_Q02N  EC_Q02O  EC_Q02P  EC_Q02Q  EC_Q07A  EC_Q07B  EC_Q08
EC_Q09A  EC_Q09B  EC_Q09C  EC_Q09D  EC_Q09E  EC_Q09F  EC_Q09J  EC_Q09K
EC_Q09L  EC_Q09M  EC_Q09N  EC_Q09O  EC_Q09P  EC_Q09Q  EC_Q09R  EC_Q10
NU_Q01  NU_Q03  NU_Q05A  NU_Q05B  NU_Q06A  NU_Q07A  NU_Q07B  NU_Q07E
NU_Q07F  NU_Q07J  NU_Q09  */
VALUE tYesNo
                1 = "Yes"
                2 = "No"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* gYesNo format applies to: 
PU_G06  LU2_G06  IU_G01  IU_G02  SU_G21  GL_G01  EU_G01  EC_G02
EC_G07  EC_G09  NU_G02  NU_G05  NU_G06  NU_G07  */
VALUE gYesNo
                1 = "Yes"
                2 = "No"
                6 = "Valid skip"
                9 = "Not stated";
/* LLYesNo format applies to: 
LU_Q01  LU_Q02  EC_Q01  */
VALUE LLYesNo
                1 = "Yes"
                2 = "No"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* LIYesNo format applies to: 
LU_G03  IU_G05  */
VALUE LIYesNo
                1 = "Yes"
                2 = "No"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* IU_Q04F format applies to: IU_Q04  */
VALUE IU_Q04F
                01 = "Less than 5 hours"
                02 = "Between 5 and 9 hours"
                03 = "Between 10 and 19 hours"
                04 = "Between 20 and 29 hours"
                05 = "Between 30 and 39 hours"
                06 = "40 hours or more per week"
                96 = "Valid skip"
                97 = "Don't know"
                98 = "Refusal"
                99 = "Not stated";
/* SC format applies to: 
SU_Q23  GL_Q02  SC_Q01  */
VALUE SC
                1 = "At least once a day"
                2 = "At least once a week (but not every day)"
                3 = "At least once a month (but not every week)"
                4 = "Less than once a month"
                5 = "Not at all"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* GL_G05F format applies to: GL_G05  */
VALUE GL_G05F
                01 = "Too difficult to find correct website"
                02 = "It is easier to contact the government in person"
                03 = "Easier to use telephone (to do business with government)"
                04 = "No need"
                05 = "Not interested"
                06 = "No time, too busy"
                07 = "Other"
                96 = "Valid Skip"
                99 = "Not stated";
/* MH_G02F format applies to: MH_G02  */
VALUE MH_G02F
                1 = "Yes"
                2 = "No/I do not have a family doctor or general practitioner"
                6 = "Valid skip"
                9 = "Not stated";
/* IU format applies to: 
SC_Q02  SC_Q03  */
VALUE IU
                1 = "At least once a day"
                2 = "At least once a week (but not every day)"
                3 = "At least once a month (but not every week)"
                4 = "Less than once a month"
                5 = "Not at all"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* EC_Q03F format applies to: EC_Q03  */
VALUE EC_Q03F
                996 = "Valid skip"
                997 = "Don't know"
                998 = "Refusal"
                999 = "Not stated"
                other = [Z3.];
/* EC_Q04F format applies to: 
EC_Q04  */
VALUE EC_Q04F
                999996 = "Valid skip"
                999997 = "Don't know"
                999998 = "Refusal"
                999999 = "Not stated"
                other = [Z6.];
/* orders format applies to: 
EC_Q05  */
VALUE orders
                996 = "Valid skip"
                997 = "Don't know"
                998 = "Refusal"
                999 = "Not stated"
                other = [Z3.];
/* EC_Q06F format applies to: EC_Q06  */
VALUE EC_Q06F
                999996 = "Valid skip"
                999997 = "Don't know"
                999998 = "Refusal"
                999999 = "Not stated"
                other = [Z6.];
/* nuYesNo format applies to: 
NU_Q02A  NU_Q02B  NU_Q02D  NU_Q04  */
VALUE nuYesNo
                1 = "Yes"
                2 = "No"
                6 = "Valid skip"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* NU_G08F format applies to: NU_G08  */
VALUE NU_G08F
                01 = "Cost (service or equipment)"
                02 = "Access to a computer or some other form of Internet access"
                03 = "Lack of skills or training"
                04 = "No need/not useful"
                05 = "No interest"
                06 = "Not enough time"
                07 = "Other confidentiality, security or privacy concerns"
                08 = "Other"
                96 = "Valid skip"
                99 = "Not stated";
/* PS format applies to: 
PS_Q01  PS_Q02  PS_Q04  PS_Q05  */
VALUE PS
                1 = "Not at all concerned"
                2 = "Concerned"
                3 = "Very concerned"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* PS_Q03F format applies to: PS_Q03  */
VALUE PS_Q03F
                1 = "Not at all concerned"
                2 = "Concerned"
                3 = "Very concerned"
                4 = "I do not have a credit card"
                7 = "Don't know"
                8 = "Refusal"
                9 = "Not stated";
/* G_HQUINT format applies to: G_HQUINT  */
VALUE G_HQUINT
                1 = "Quintile 1 - <=$21,000"
                2 = "Quintile 2 - $21,001 - $37,999"
                3 = "Quintile 3 - $38,000 - $59,999"
                4 = "Quintile 4 - $60,000 - $85,999"
                5 = "Quintile 5 - $86,000 +";
run;


data DATA1;
  infile &DATAIN  LRECL=210 MISSOVER PAD;
  input
@00001   PUMFID      5.
@00006   REFYEAR     4.
@00010   PROVINCE    2.
@00012   REGION      1.
@00013   G_URBRUR    1.
@00014   GCAGEGR6    1.
@00015   CSEX        1.
@00016   GMARSTAT    1.
@00017   G_CEDUC     1.
@00018   G_CSTUD     1.
@00019   G_CLFSST    1.
@00020   GCOWMAIN    1.
@00021   FTPTMAIN    1.
@00022   GFAMTYPE    1.
@00023   G_HHSIZE    1.
@00024   HCONNECT    1.
@00025   G_HEDUC     1.
@00026   G_HSTUD     1.
@00027   EV_Q01      1.
@00028   EV_Q02      1.
@00029   PU_Q01      1.
@00030   PU_Q02      1.
@00031   PU_Q03      1.
@00032   PU_Q06A     1.
@00033   PU_Q06E     1.
@00034   PU_Q06J     1.
@00035   PU_Q06K     1.
@00036   PU_G06      1.
@00037   LU_Q01      1.
@00038   LU_Q02      1.
@00039   LU_G03      1.
@00040   LU_Q04      1.
@00041   LU_G05      1.
@00042   LU_G06A     1.
@00043   LU_G06B     1.
@00044   LU2_G06     1.
@00045   IU_Q01A     1.
@00046   IU_Q01B     1.
@00047   IU_Q01G     1.
@00048   IU_G01      1.
@00049   IU_Q02A     1.
@00050   IU_Q02B     1.
@00051   IU_G02      1.
@00052   IU_Q02E     1.
@00053   IU_Q03      1.
@00054   IU_Q04      2.
@00056   IU_G05      1.
@00057   IU_Q06      1.
@00058   SU_Q01      1.
@00059   SU_Q02      1.
@00060   SU_Q03      1.
@00061   SU_Q04      1.
@00062   SU_Q05      1.
@00063   SU_G06      1.
@00064   SU_Q07      1.
@00065   SU_Q08      1.
@00066   SU_Q09      1.
@00067   SU_Q10      1.
@00068   SU_Q11      1.
@00069   SU_Q12      1.
@00070   SU_Q13      1.
@00071   SU_Q14      1.
@00072   SU_Q15      1.
@00073   SU_Q16      1.
@00074   SU_Q17      1.
@00075   SU_Q18      1.
@00076   SU_Q19      1.
@00077   SU_Q20      1.
@00078   SU_G21      1.
@00079   SU_Q22      1.
@00080   SU_Q23      1.
@00081   GL_Q01A     1.
@00082   GL_Q01B     1.
@00083   GL_Q01C     1.
@00084   GL_Q01D     1.
@00085   GL_Q01E     1.
@00086   GL_Q01F     1.
@00087   GL_Q01G     1.
@00088   GL_Q01I     1.
@00089   GL_Q01J     1.
@00090   GL_G01      1.
@00091   GL_Q02      1.
@00092   GL_Q03      1.
@00093   GL_Q04A     1.
@00094   GL_Q04B     1.
@00095   GL_Q04C     1.
@00096   GL_G05      2.
@00098   MH_Q01A     1.
@00099   MH_Q01B     1.
@00100   MH_Q01C     1.
@00101   MH_Q01D     1.
@00102   MH_Q01E     1.
@00103   MH_Q01F     1.
@00104   MH_Q01G     1.
@00105   MH_Q01H     1.
@00106   MH_G02      1.
@00107   MH_Q03      1.
@00108   EU_G01A     1.
@00109   EU_G01B     1.
@00110   EU_G01C     1.
@00111   EU_G01D     1.
@00112   EU_G01      1.
@00113   SC_Q01      1.
@00114   SC_Q02      1.
@00115   SC_Q03      1.
@00116   EC_Q01      1.
@00117   EC_Q02A     1.
@00118   EC_Q02B     1.
@00119   EC_Q02C     1.
@00120   EC_Q02D     1.
@00121   EC_Q02E     1.
@00122   EC_Q02F     1.
@00123   EC_Q02I     1.
@00124   EC_Q02J     1.
@00125   EC_Q02K     1.
@00126   EC_Q02L     1.
@00127   EC_Q02M     1.
@00128   EC_Q02N     1.
@00129   EC_Q02O     1.
@00130   EC_Q02P     1.
@00131   EC_Q02Q     1.
@00132   EC_G02      1.
@00133   EC_Q03      3.
@00136   EC_Q04      6.
@00142   EC_Q05      3.
@00145   EC_Q06      6.
@00151   EC_Q07A     1.
@00152   EC_Q07B     1.
@00153   EC_G07      1.
@00154   EC_Q08      1.
@00155   EC_Q09A     1.
@00156   EC_Q09B     1.
@00157   EC_Q09C     1.
@00158   EC_Q09D     1.
@00159   EC_Q09E     1.
@00160   EC_Q09F     1.
@00161   EC_Q09J     1.
@00162   EC_Q09K     1.
@00163   EC_Q09L     1.
@00164   EC_Q09M     1.
@00165   EC_Q09N     1.
@00166   EC_Q09O     1.
@00167   EC_Q09P     1.
@00168   EC_Q09Q     1.
@00169   EC_Q09R     1.
@00170   EC_G09      1.
@00171   EC_Q10      1.
@00172   NU_Q01      1.
@00173   NU_Q02A     1.
@00174   NU_Q02B     1.
@00175   NU_Q02D     1.
@00176   NU_G02      1.
@00177   NU_Q03      1.
@00178   NU_Q04      1.
@00179   NU_Q05A     1.
@00180   NU_Q05B     1.
@00181   NU_G05      1.
@00182   NU_Q06A     1.
@00183   NU_G06      1.
@00184   NU_Q07A     1.
@00185   NU_Q07B     1.
@00186   NU_Q07E     1.
@00187   NU_Q07F     1.
@00188   NU_Q07J     1.
@00189   NU_G07      1.
@00190   NU_G08      2.
@00192   NU_Q09      1.
@00193   PS_Q01      1.
@00194   PS_Q02      1.
@00195   PS_Q03      1.
@00196   PS_Q04      1.
@00197   PS_Q05      1.
@00198   G_HQUINT    1.
@00199   WTPP        12.4;


LABEL PUMFID    = "Respondent's identification number";
LABEL REFYEAR   = "Reference Year";
LABEL PROVINCE  = "Province";
LABEL REGION    = "Regions of Canada";
LABEL G_URBRUR  = "Urban Rural";
LABEL GCAGEGR6  = "Age of respondent in 5 year groups";
LABEL CSEX      = "Sex of respondent.";
LABEL GMARSTAT  = "Marital status of respondent";
LABEL G_CEDUC   = "Respondent highest level of education";
LABEL G_CSTUD   = "Respondent is a student";
LABEL G_CLFSST  = "Labour force status of respondent";
LABEL GCOWMAIN  = "Class of worker, main job";
LABEL FTPTMAIN  = "Full-time or part-time work";
LABEL GFAMTYPE  = "Type of household";
LABEL G_HHSIZE  = "Number persons in household";
LABEL HCONNECT  = "Household connected to Internet";
LABEL G_HEDUC   = "Hhold highest level of education";
LABEL G_HSTUD   = "Student in household";
LABEL EV_Q01    = "Used Internet from any location";
LABEL EV_Q02    = "Number of years you used the Internet";
LABEL PU_Q01    = "Used past 12 months for non-business use";
LABEL PU_Q02    = "Last time you used the Internet";
LABEL PU_Q03    = "How often you used Internet in past";
LABEL PU_Q06A   = "No longer use Internet as too costly";
LABEL PU_Q06E   = "No longer use Internet as no need";
LABEL PU_Q06J   = "No longer use Internet no time too busy";
LABEL PU_Q06K   = "No access to computer anywhere";
LABEL PU_G06    = "No longer use Internet other";
LABEL LU_Q01    = "Past 12 months personal home use";
LABEL LU_Q02    = "Past 12 months at work/non-business use";
LABEL LU_G03    = "Past 12 months from school as student";
LABEL LU_Q04    = "Past 12 months from library/personal use";
LABEL LU_G05    = "Past 12 mths other location/personal use";
LABEL LU_G06A   = "Past 12 months use at relatives home";
LABEL LU_G06B   = "Past 12 months use at friend/neighbour";
LABEL LU2_G06   = "Past 12 months use at other";
LABEL IU_Q01A   = "Home Net phone line hooked to computer";
LABEL IU_Q01B   = "Home Net by cable hooked to a computer";
LABEL IU_Q01G   = "Not currently on Net was past 12 months";
LABEL IU_G01    = "Home Internet other connection";
LABEL IU_Q02A   = "Access home Intenet with computer";
LABEL IU_Q02B   = "Access home Internet with laptop";
LABEL IU_G02    = "Other access home Internet";
LABEL IU_Q02E   = "Access home Internet with wireless";
LABEL IU_Q03    = "Often use home Internet typical month";
LABEL IU_Q04    = "Weekly hours spent on home Internet";
LABEL IU_G05    = "Do you have high speed Internet at home";
LABEL IU_Q06    = "Cable telephone high speed in your area";
LABEL SU_Q01    = "Used the Internet at home for e-mail";
LABEL SU_Q02    = "Used home Internet to chat or messenger";
LABEL SU_Q03    = "Search for Canada government information";
LABEL SU_Q04    = "Use to communicate with government";
LABEL SU_Q05    = "Used to search for health information";
LABEL SU_G06    = "Used home Internet for education";
LABEL SU_Q07    = "Used home Internet travel information";
LABEL SU_Q08    = "Used home Internet to pay bills";
LABEL SU_Q09    = "Used home Internet/electronic banking";
LABEL SU_Q10    = "Used home Internet/research investment";
LABEL SU_Q11    = "Used home Internet to play games";
LABEL SU_Q12    = "Used home Internet to obtain music";
LABEL SU_Q13    = "Used home Internet to obtain software";
LABEL SU_Q14    = "Used home Internet to view news sports";
LABEL SU_Q15    = "Used home for weather road condition";
LABEL SU_Q16    = "Used home to listen to the radio";
LABEL SU_Q17    = "Download/watch TV over home Internet";
LABEL SU_Q18    = "Download/watch movie on home Internet";
LABEL SU_Q19    = "Used at home - research community events";
LABEL SU_Q20    = "Used home Internet for general browsing";
LABEL SU_G21    = "Internet home use for any other reasons";
LABEL SU_Q22    = "Use work computer for personal use";
LABEL SU_Q23    = "Used at work for personal use in month";
LABEL GL_Q01A   = "Searched for government information";
LABEL GL_Q01B   = "Used Internet to file your income tax";
LABEL GL_Q01C   = "Download government form";
LABEL GL_Q01D   = "Used Internet to submit completed form";
LABEL GL_Q01E   = "Used Internet access government program";
LABEL GL_Q01F   = "To communicate any level of government";
LABEL GL_Q01G   = "Spoke with elected official by Internet";
LABEL GL_Q01I   = "Gave opinion on-line government consult";
LABEL GL_Q01J   = "Do not search for govt information";
LABEL GL_G01    = "Used Internet for other reason";
LABEL GL_Q02    = "Often used search governement services";
LABEL GL_Q03    = "Give opinion Canadian government policy";
LABEL GL_Q04A   = "Communicate with municipal governement";
LABEL GL_Q04B   = "Communicate with provincial government";
LABEL GL_Q04C   = "Communicate with federal government";
LABEL GL_G05    = "Why do not use with Canadian governement";
LABEL MH_Q01A   = "Search lifestyle information";
LABEL MH_Q01B   = "Search alternative therapy information";
LABEL MH_Q01C   = "Search for health care information";
LABEL MH_Q01D   = "Search for drugs or medications";
LABEL MH_Q01E   = "Search for surgery information";
LABEL MH_Q01F   = "Search specific disease information";
LABEL MH_Q01G   = "Search information on specific symptoms";
LABEL MH_Q01H   = "Search for other information";
LABEL MH_G02    = "Communicated with doctor via any method";
LABEL MH_Q03    = "Talked doctor about Internet information";
LABEL EU_G01A   = "Used Internet for distance education";
LABEL EU_G01B   = "Used Internet for project research";
LABEL EU_G01C   = "Used to communicate with teachers";
LABEL EU_G01D   = "Used to communicate with administration";
LABEL EU_G01    = "Used Internet for other education";
LABEL SC_Q01    = "Time reading on-line media - political";
LABEL SC_Q02    = "Time reading Canadian political opinion";
LABEL SC_Q03    = "Time used to talk Canadian politics";
LABEL EC_Q01    = "Ordered personal goods or services";
LABEL EC_Q02A   = "Order computer software over Internet";
LABEL EC_Q02B   = "Order computer hardware over Internet";
LABEL EC_Q02C   = "Order music (CDs, tapes, MP3)";
LABEL EC_Q02D   = "Order books, magazines, newspapers";
LABEL EC_Q02E   = "Order videos or DVDs";
LABEL EC_Q02F   = "Order other (concert, theatre tickets)";
LABEL EC_Q02I   = "Order other health, beauty, vitamins";
LABEL EC_Q02J   = "Order clothing, jewellery, accessories";
LABEL EC_Q02K   = "Order housewares (appliances, furniture)";
LABEL EC_Q02L   = "Order consumer electronics";
LABEL EC_Q02M   = "Order automotive products";
LABEL EC_Q02N   = "Order/make travel arrangements";
LABEL EC_Q02O   = "Order flowers or gifts";
LABEL EC_Q02P   = "Order sports equipment";
LABEL EC_Q02Q   = "Order toys and games";
LABEL EC_G02    = "Order something else";
LABEL EC_Q03    = "Number of orders for goods or services";
LABEL EC_Q04    = "Cost of goods and services ordered";
LABEL EC_Q05    = "Number of orders Canadian companies";
LABEL EC_Q06    = "Total spent on Canadian company goods";
LABEL EC_Q07A   = "Pay with a credit or debit card";
LABEL EC_Q07B   = "Pay with credit card over phone";
LABEL EC_G07    = "Pay by other method";
LABEL EC_Q08    = "Internet window shop for personal goods";
LABEL EC_Q09A   = "Window shop for computer software";
LABEL EC_Q09B   = "Window shop for computer hardware";
LABEL EC_Q09C   = "Window shop for music (CDs, tapes, MP3)";
LABEL EC_Q09D   = "Window shop books,magazines,newspapers";
LABEL EC_Q09E   = "Window shop for videos or DVDs";
LABEL EC_Q09F   = "Window shop for concert,theatre tickets";
LABEL EC_Q09J   = "Window shop for clothing, jewellery";
LABEL EC_Q09K   = "Window shop for housewares";
LABEL EC_Q09L   = "Window shop for consumer electronics";
LABEL EC_Q09M   = "Window shop for automotive products";
LABEL EC_Q09N   = "Window shop for travel arrangements";
LABEL EC_Q09O   = "Window shop for flowers or gifts";
LABEL EC_Q09P   = "Window shop for sports equipment";
LABEL EC_Q09Q   = "Window shop for toys and games";
LABEL EC_Q09R   = "Window shop for real estate";
LABEL EC_G09    = "Window shop for other goods or services";
LABEL EC_Q10    = "Window shopping ends in retail sale";
LABEL NU_Q01    = "Plan on using Internet from any location";
LABEL NU_Q02A   = "Future use from home";
LABEL NU_Q02B   = "Future use from work";
LABEL NU_Q02D   = "Future use from a public library";
LABEL NU_G02    = "Use from other location";
LABEL NU_Q03    = "Can household access Internet at home";
LABEL NU_Q04    = "Household connect Internet at home";
LABEL NU_Q05A   = "Household connection by telephone";
LABEL NU_Q05B   = "Household connected by cable";
LABEL NU_G05    = "Household connected by other device";
LABEL NU_Q06A   = "Internet access by personal computer";
LABEL NU_G06    = "Internet access through other device";
LABEL NU_Q07A   = "Home Internet access too costly";
LABEL NU_Q07B   = "Internet too difficult to use";
LABEL NU_Q07E   = "Do not use Internet no need not useful";
LABEL NU_Q07F   = "Too busy or no time to use home Internet";
LABEL NU_Q07J   = "No interest using home Internet";
LABEL NU_G07    = "Do not use Internet for other reason";
LABEL NU_G08    = "Barrier that deters use of home Internet";
LABEL NU_Q09    = "Use at home if had equipment and access";
LABEL PS_Q01    = "Concerned about Internet privacy";
LABEL PS_Q02    = "Concerned about Internet banking";
LABEL PS_Q03    = "Concerned Internet credit card use";
LABEL PS_Q04    = "Concern personal financial data to govt";
LABEL PS_Q05    = "Concern govt personal non finance data";
LABEL G_HQUINT  = "Household Income quintile";
LABEL WTPP      = "Survey weight of a person";

FORMAT
   REFYEAR  REFYEAR.
   PROVINCE  PROVINCE.
   REGION  REGION.
   
G_URBRUR  URBRUR.
   GCAGEGR6  GCAEGR6F.
   CSEX  CSEX.
   GMARSTAT  GMARSTAT.
   G_CEDUC  G_CEDUC.
   
G_CSTUD  HCONNECT  G_HSTUD  sYesNo.
   G_CLFSST  G_CLFSST.
   GCOWMAIN  GCOWMAIN.
   FTPTMAIN  FTPTMAIN.
   GFAMTYPE  GFAMTYPE.
   G_HHSIZE  G_HHSIZE.
   G_HEDUC  G_HEDUC.
   EV_Q01  EV_Q01F.
   EV_Q02  EV_Q02F.
   PU_Q01  PU_Q01F.
   PU_Q02  PU_Q02F.
   
PU_Q03  IU_Q03  PUIU3F.
   
PU_Q06A  PU_Q06E  PU_Q06J  PU_Q06K  LU_Q04  LU_G05  LU_G06A  LU_G06B
IU_Q01A  IU_Q01B  IU_Q01G  IU_Q02A  IU_Q02B  IU_Q02E  IU_Q06  SU_Q01
SU_Q02  SU_Q03  SU_Q04  SU_Q05  SU_G06  SU_Q07  SU_Q08  SU_Q09
SU_Q10  SU_Q11  SU_Q12  SU_Q13  SU_Q14  SU_Q15  SU_Q16  SU_Q17
SU_Q18  SU_Q19  SU_Q20  SU_Q22  GL_Q01A  GL_Q01B  GL_Q01C  GL_Q01D
GL_Q01E  GL_Q01F  GL_Q01G  GL_Q01I  GL_Q01J  GL_Q03  GL_Q04A  GL_Q04B
GL_Q04C  MH_Q01A  MH_Q01B  MH_Q01C  MH_Q01D  MH_Q01E  MH_Q01F  MH_Q01G
MH_Q01H  MH_Q03  EU_G01A  EU_G01B  EU_G01C  EU_G01D  EC_Q02A  EC_Q02B
EC_Q02C  EC_Q02D  EC_Q02E  EC_Q02F  EC_Q02I  EC_Q02J  EC_Q02K  EC_Q02L
EC_Q02M  EC_Q02N  EC_Q02O  EC_Q02P  EC_Q02Q  EC_Q07A  EC_Q07B  EC_Q08
EC_Q09A  EC_Q09B  EC_Q09C  EC_Q09D  EC_Q09E  EC_Q09F  EC_Q09J  EC_Q09K
EC_Q09L  EC_Q09M  EC_Q09N  EC_Q09O  EC_Q09P  EC_Q09Q  EC_Q09R  EC_Q10
NU_Q01  NU_Q03  NU_Q05A  NU_Q05B  NU_Q06A  NU_Q07A  NU_Q07B  NU_Q07E
NU_Q07F  NU_Q07J  NU_Q09  tYesNo.
   
PU_G06  LU2_G06  IU_G01  IU_G02  SU_G21  GL_G01  EU_G01  EC_G02
EC_G07  EC_G09  NU_G02  NU_G05  NU_G06  NU_G07  gYesNo.
   
LU_Q01  LU_Q02  EC_Q01  LLYesNo.
   
LU_G03  IU_G05  LIYesNo.
   IU_Q04  IU_Q04F.
   
SU_Q23  GL_Q02  SC_Q01  SC.
   GL_G05  GL_G05F.
   MH_G02  MH_G02F.
   
SC_Q02  SC_Q03  IU.
   EC_Q03  EC_Q03F.
   
EC_Q04  EC_Q04F.
   
EC_Q05  orders.
   EC_Q06  EC_Q06F.
   
NU_Q02A  NU_Q02B  NU_Q02D  NU_Q04  nuYesNo.
   NU_G08  NU_G08F.
   
PS_Q01  PS_Q02  PS_Q04  PS_Q05  PS.
   PS_Q03  PS_Q03F.
   G_HQUINT  G_HQUINT.;
run;

